org.hibernate.search.batchindexing.impl

## Class BatchIndexingWorkspace

- java.lang.Object
- - org.hibernate.search.batchindexing.impl.BatchIndexingWorkspace

- All Implemented Interfaces:
    Runnable

      public class BatchIndexingWorkspace
      extends Object

  This runnable will prepare a pipeline for batch indexing of entities, managing the lifecycle of several ThreadPools.
  Author:
    Sanne Grinovero

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExtendedSearchIntegrator` | `extendedIntegrator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchIndexingWorkspace(ExtendedSearchIntegrator extendedIntegrator, SessionFactoryImplementor sessionFactory, IndexedTypeIdentifier type, int objectLoadingThreads, CacheMode cacheMode, int objectLoadingBatchSize, CountDownLatch endAllSignal, MassIndexerProgressMonitor monitor, BatchBackend backend, long objectsLimit, int idFetchSize, Integer transactionTimeout, String tenantId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cleanUpOnError()`
    `void` | `run()`
    `void` | `runWithErrorHandler()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extendedIntegrator

          protected final ExtendedSearchIntegrator extendedIntegrator

  - ### Constructor Detail

    - #### BatchIndexingWorkspace

          public BatchIndexingWorkspace(ExtendedSearchIntegrator extendedIntegrator,
                                        SessionFactoryImplementor sessionFactory,
                                        IndexedTypeIdentifier type,
                                        int objectLoadingThreads,
                                        CacheMode cacheMode,
                                        int objectLoadingBatchSize,
                                        CountDownLatch endAllSignal,
                                        MassIndexerProgressMonitor monitor,
                                        BatchBackend backend,
                                        long objectsLimit,
                                        int idFetchSize,
                                        Integer transactionTimeout,
                                        String tenantId)

  - ### Method Detail

    - #### runWithErrorHandler

          public void runWithErrorHandler()

    - #### run

          public final void run()

      Specified by:
        `run` in interface `Runnable`

    - #### cleanUpOnError

          protected void cleanUpOnError()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved